from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.awt import XTabController

@runtime_checkable
class XFormController(XTabController, Protocol):
    def getCurrentControl(self) -> XControl: ...
    def addActivateListener(self, l: XFormControllerListener) -> None: ...
    def removeActivateListener(self, l: XFormControllerListener) -> None: ...
